LibreOffice: User Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
User Service Referencepublished

represents a user of the database, who has certain access rights for the objects of the database. More...

Inheritance diagram for User:

## Exported Interfaces
interface | XUser
interface | XGroupsSupplier
| optional for implementation, if the database does not know the concept of user groups.
interface | com::sun::star::beans::XPropertySet

## Public Attributes
string | Name
| is the name of the user.

## Additional Inherited Members
Public Member Functions inherited from XUser
void | changePassword ([in]string oldPassword, [in]string newPassword) raises (com::sun::star::sdbc::SQLException)
| allows modifying a user password.
Public Member Functions inherited from XAuthorizable
long | getPrivileges ([in]string objName, [in]long objType) raises (com::sun::star::sdbc::SQLException)
| retrieves the permissions for a specific object.
long | getGrantablePrivileges ([in]string objName, [in]long objType) raises (com::sun::star::sdbc::SQLException)
| retrieves the permissions for a specific object, which could be granted to other users and groups.
void | grantPrivileges ([in]string objName, [in]long objType, [in]long objPrivileges) raises (com::sun::star::sdbc::SQLException)
| adds additional permissions for a specific object.
void | revokePrivileges ([in]string objName, [in]long objType, [in]long objPrivileges) raises (com::sun::star::sdbc::SQLException)
| removes permissions for a specific object from a group or user.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XGroupsSupplier
com::sun::star::container::XNameAccess | getGroups ()
| returns the container of groups.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

represents a user of the database, who has certain access rights for the objects of the database.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ XGroupsSupplier

interface XGroupsSupplier
| optional

optional for implementation, if the database does not know the concept of user groups.

Provides for access to the groups to which a user belongs.

## ◆ XUser

interface XUser

## Member Data Documentation

## ◆ Name

string Name
| propertyreadonly

is the name of the user.

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/User.idl